import type { NextPage } from "next";
import Head from "next/head";
import withWebsocket from "../components/hocs/withWebsocket";
import styles from "../styles/Home.module.css";

const Home: NextPage = () => {
  return (
    <div className={styles.container}>
      <Head>
        <title>Nodejs Websocket Implementation</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className={styles.main}>
        <h1 className={styles.title}>
          Nodejs Websocket Implementation Example
        </h1>
        <p>
          Please open console to see log detail, both from web browser and dev
          cli
        </p>
      </main>
    </div>
  );
};

export default withWebsocket(Home);
